package fr.velossity.sample.device.impl;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import fr.velossity.sample.device.Device;

/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class Activator implements BundleActivator {
	
	private MockDeviceImpl myDevice;
	
	/**
	 * @see BundleActivator#start(BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		String name = "producer1";
		myDevice = new MockDeviceImpl(name);
		
		// PUBLISHES the Device service
		Dictionary properties = new Hashtable();
		properties.put("identifier", name);		
		context.registerService(Device.class.getName(), myDevice, properties );
		
		// STARTS the Measurement generator
		myDevice.activate();
	}

	/**
	 * @see BundleActivator#stop(BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		myDevice.deactivate();
	}

}
